Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.util
Interface TimerTask

    public interface TimerTask

A task which is executed after the delay specified with `Timer.newTimeout(TimerTask, long, TimeUnit)`.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Method Summary
`void` | `run(Timeout timeout)` Executed after the delay specified with `Timer.newTimeout(TimerTask, long, TimeUnit)`.

Method Detail

### run

    void run(Timeout timeout)
             throws Exception

  Executed after the delay specified with `Timer.newTimeout(TimerTask, long, TimeUnit)`.

  Parameters:
    `timeout` - a handle which is associated with this task
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.